API Reference
List dashboard templates for a job template
List dashboard templates for a job template
GET /api/job-templates/{id}/dashboard-templates
List dashboard templates for a job template
Operation ID: listDashboardTemplates
Authentication
Option 1
- BearerAuth (
http bearer) API key token. Create via POST /api/api-keys. Format:envoy_<hex>
Option 2
- CookieAuth (
apiKey) Session cookie set after login + TOTP verification
Path parameters
id—integer,requiredResource ID
Success responses
200
Dashboard templates
Content type: application/json
- Type:
object - Properties:
result(array<DashboardTemplate>)- Items:
- Reference:
DashboardTemplate- Type:
object - Properties:
id(integer)job_template_id(integer)name(string)description(string | null)- Nullable: yes
yaml_content(string)status(string)- Allowed values:
active,archived
- Allowed values:
created_at(string)- Format:
date-time
- Format:
updated_at(string | null)- Format:
date-time - Nullable: yes
- Format:
linked_dashboard_count(integer) — Present on GET detail — count of job dashboards referencing this template
- Type:
- Reference:
- Items:
Examples
cURL
curl --request GET \
--url 'https://your-envoy.example.com/api/job-templates/YOUR_ID/dashboard-templates' \
--header 'Authorization: Bearer $API_KEY'JavaScript (fetch)
const response = await fetch('https://your-envoy.example.com/api/job-templates/YOUR_ID/dashboard-templates', {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
},
});
if (!response.ok) throw new Error(`Request failed: ${response.status}`);
const data = response.status === 204 ? null : await response.json();
console.log(data);